//-----------------------------------------------------------------------------
//
//  $Logfile:: /game/eonandpeon.h                                             $
// $Revision:: 2                                                              $
//   $Author:: Burgermac                                                      $
//     $Date:: 12/27/00 6:53 PM                                               $
//
// Copyright (C) 1998 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
//
// DESCRIPTION:
// Eon and Peon
//

#ifndef __EONANDPEON_H__
#define __EONANDPEON_H__

#include "g_local.h"
#include "actor.h"
#include "peon.h"

class EonAndPeon : public Peon
{
private:
	EntityPtr eon;

public:
	CLASS_PROTOTYPE( EonAndPeon );

	/*EonAndPeon::*/ EonAndPeon();
	void              Postthink( void );
	void                    Killed( Event* ev );
	virtual void        Chatter( const char* sound, float chance = 10, float volume = 1.0f, int channel = CHAN_VOICE );
	virtual void      Archive( Archiver& arc );
	virtual void      Unarchive( Archiver& arc );
};

inline void EonAndPeon::Archive( Archiver& arc )
{
	Peon::Archive( arc );

	arc.WriteSafePointer( eon );
}

inline void EonAndPeon::Unarchive( Archiver& arc )
{
	Peon::Unarchive( arc );

	arc.ReadSafePointer( &eon );
}

#endif /* eonandpeon.h */
